; Общие настройки для всех ESP32
[platformio]
default_envs = esp32dev, esp32-s3-devkitc-1

; Общие флаги
[common]
build_flags = 
    -DCONFIG_BT_ENABLED=0
    -DCONFIG_BLUEDROID_ENABLED=0
    -DCONFIG_BTDM_CTRL_MODE_BLE_ONLY=0
    -DCONFIG_BTDM_CTRL_MODE_BR_EDR_ONLY=0
    -DCONFIG_BTDM_CTRL_MODE_BTDM=0
    -DCONFIG_FREERTOS_UNICORE=1

; ESP32
[env:esp32dev]
platform = espressif32
board = esp32dev
framework = arduino
monitor_speed = 115200
build_flags = ${common.build_flags}

; ESP32-S3  
[env:esp32-s3-devkitc-1]
platform = espressif32
board = esp32-s3-devkitc-1
framework = arduino
monitor_speed = 115200
build_flags = ${common.build_flags}